Skip to content

Product Set Professional Services

Updated: Apr 17, 2026

The Product Set Professional Services edge allows you to list professional services items (consulting, home services, health and wellness, and other services) that belong to a specific product set.

Permissions

To use this API, your app needs the following permission:

  • catalog_management

Reading

To list professional services items in a product set, send a GET request:

GET /v25.0/{product-set-id}/professional_services HTTP/1.1
Host: graph.facebook.com

Parameters

ParameterTypeDescription
summarybooleanOptional. When true, includes a summary object with total_count in the response.
limitintegerOptional. Maximum number of items to return per page.
beforestringOptional. Cursor for backward pagination.
afterstringOptional. Cursor for forward pagination.

Fields

Reading from this edge will return a JSON formatted result:

{
  "data": [],
  "paging": {},
  "summary": {}
}

data

A list of Professional Services nodes. See the Professional Services reference for the full list of fields.

paging

For more details about pagination, see the Graph API guide.

summary

Aggregated information about the edge, such as counts. Specify summary=true as a query parameter to include this in the response.

FieldTypeDescription
total_countintegerTotal number of items in the product set.

Creating

You can't perform this operation on this node. To create product sets, use the Product Set node.

Updating

You can't perform this operation on this node. To update product sets, use the Product Set node.

Deleting

You can't perform this operation on this node. To delete product sets, use the Product Set node.

Unofficial mirror for reference/search purposes. All content originates from developers.facebook.com — see the source link at the top of each page. Machine-readable indexes: llms.txt · llms-full.txt · About